Page MenuHomePhabricator

paraminfo_tests fails several times due to timeout at beta.wmflabs.org
Open, HighPublic

Event Timeline

Xqt created this task.Nov 24 2018, 1:27 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptNov 24 2018, 1:27 PM
Xqt triaged this task as High priority.Nov 24 2018, 1:27 PM

Probably related to temporary planned maintenance on beta cluster: https://lists.wikimedia.org/pipermail/wikitech-l/2018-November/091130.html

Change 476084 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [fix] Temporarily deactivate WikibaseKnownTypesTests for ws/wpbeta

https://gerrit.wikimedia.org/r/476084

Xqt added a comment.Nov 30 2018, 11:22 AM

Why is the test waiting for tumwiki?

Is this still happening? beta.wmflabs.org should be working fine now.

Xqt added a comment.Nov 30 2018, 11:52 AM

Is this still happening? beta.wmflabs.org should be working fine now.

Yes, see the last travis build https://travis-ci.org/wikimedia/pywikibot/builds/461379979
I restarted the affected tests on hour ago

Can you show what HTTP request pywikibot is making that times out?

Xqt added a comment.Nov 30 2018, 12:33 PM

I guess it is this:

https://wikidata.beta.wmflabs.org/w/api.php?maxlag=5&continue=&format=json&meta=siteinfo%7Cuserinfo&action=query&siprop=namespaces%7Cnamespacealiases%7Cgeneral&uiprop=blockinfo%7Chasmsg

which gives:

{"error":{"code":"maxlag","info":"Waiting for tumwiki: 15838.983333333 seconds lagged.","host":"tumwiki","lag":15838.983333333,"type":"wikibase-dispatching","dispatchLag":950339,"*":"See https://wikidata.beta.wmflabs.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes."},"servedby":"deployment-mediawiki-09"}
Krenair moved this task from Backlog to Reported Upstream on the Upstream board.Nov 30 2018, 1:02 PM

I'm not sure about that so for now I'm opening a subtask to look at this from a Wikibase POV.

Change 476084 merged by jenkins-bot:
[pywikibot/core@master] [fix] Temporarily deactivate WikibaseKnownTypesTests for ws/wpbeta

https://gerrit.wikimedia.org/r/476084

Change 477349 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] Revert "[fix] Temporarily deactivate WikibaseKnownTypesTests for ws/wpbeta"

https://gerrit.wikimedia.org/r/477349

D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Dec 22 2018, 6:16 PM

The url in question seems to work now. @Xqt time to re-enable the tests?

Xqt added a comment.Dec 30 2018, 4:46 PM

The url in question seems to work now. @Xqt time to re-enable the tests?

I think yes.

What needs to be done here?

Xqt added a comment.Jan 10 2019, 3:02 PM

What needs to be done here?

The problems is solved upstream. Therefore the patch given above can be merged to re-enable the tests.
In addition the patch for T210606 could also be merged to slow down api calls for the next time such failure exceeds.

The patch seems to remove tests, not re-enable. Is it really the correct patch?

Xqt added a comment.Jan 10 2019, 8:28 PM

The patch seems to remove tests, not re-enable. Is it really the correct patch?

I meant https://gerrit.wikimedia.org/r/#/c/pywikibot/core/+/477349/

Xqt added a comment.Feb 19 2019, 8:51 AM

Is failing again:

C:\pwb\GIT\core>pwb.py paraminfo_tests -v
tests: max_retries reduced from 15 to 1
EchoKnownTypesTestCase using wikipedia:en instead of wpbeta:en.
test_echo_types (__main__.EchoKnownTypesTestCase)
Test Echo notification types. ... ok
test_api_format (__main__.MediaWikiKnownTypesTestCase)
Test api format. ... ok
test_assert_user (__main__.MediaWikiKnownTypesTestCase)
Test assert type. ... ok
test_content_format (__main__.MediaWikiKnownTypesTestCase)
Test content format. ... ok
test_content_model (__main__.MediaWikiKnownTypesTestCase)
Test content model. ... ok
test_feed_format (__main__.MediaWikiKnownTypesTestCase)
Test feed format. ... ok
test_revision_deletion_level (__main__.MediaWikiKnownTypesTestCase)
Test revision deletion level. ... ok
test_revision_deletion_type (__main__.MediaWikiKnownTypesTestCase)
Test revision deletion type. ... ok
test_revision_deletion_what (__main__.MediaWikiKnownTypesTestCase)
Test revision deletion part. ... ok
test_watchlist_modification_flag (__main__.MediaWikiKnownTypesTestCase)
Test watchlist modification flag. ... ok
test_watchlist_show_flags (__main__.MediaWikiKnownTypesTestCase)
Test watchlist show flags. ... ok
test_watchlist_type (__main__.MediaWikiKnownTypesTestCase)
Test watchlist type. ... ok
SiteMatrixKnownTypesTestCase using wikipedia:en instead of wpbeta:en.
test_site_matrix_state (__main__.SiteMatrixKnownTypesTestCase)
Test site matrix state. ... ok
test_site_matrix_type (__main__.SiteMatrixKnownTypesTestCase)
Test site matrix type. ... ok
test_datatypes (__main__.WikibaseKnownTypesTests)
Test that all encountered datatypes are known. ... WARNING: API error internal_a
pi_error_LogicException: [XGvDSawQBGoAAEXaaLgAAAAO] Exception caught: Wikibase\D
ataAccess\UnusableEntitySource should never be used
ERROR: Detected MediaWiki API exception internal_api_error_LogicException: [XGvD
SawQBGoAAEXaaLgAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource
 should never be used [errorclass:LogicException; *:LogicException at /srv/media
wiki/php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)

#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]; raising
ERROR
test_entities (__main__.WikibaseKnownTypesTests)
Test known entities. ... WARNING: API error internal_api_error_LogicException: [
XGvDSawQBGoAAEXaaLkAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySo
urce should never be used
ERROR: Detected MediaWiki API exception internal_api_error_LogicException: [XGvD
SawQBGoAAEXaaLkAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource
 should never be used [errorclass:LogicException; *:LogicException at /srv/media
wiki/php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)

#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]; raising
ERROR
test_rank (__main__.WikibaseKnownTypesTests)
Test known ranks. ... WARNING: API error internal_api_error_LogicException: [XGv
DSawQBGoAAEXaaLoAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySourc
e should never be used
ERROR: Detected MediaWiki API exception internal_api_error_LogicException: [XGvD
SawQBGoAAEXaaLoAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource
 should never be used [errorclass:LogicException; *:LogicException at /srv/media
wiki/php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)

#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]; raising
ERROR
test_snaktype (__main__.WikibaseKnownTypesTests)
Test known snak types. ... WARNING: API error internal_api_error_LogicException:
 [XGvDSqwQBGoAAEXaaLsAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntity
Source should never be used
ERROR: Detected MediaWiki API exception internal_api_error_LogicException: [XGvD
SqwQBGoAAEXaaLsAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource
 should never be used [errorclass:LogicException; *:LogicException at /srv/media
wiki/php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)

#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]; raising
ERROR

======================================================================
ERROR: test_datatypes (__main__.WikibaseKnownTypesTests)
Test that all encountered datatypes are known.
----------------------------------------------------------------------
Traceback (most recent call last):
  File ".\tests\paraminfo_tests.py", line 235, in test_datatypes
    self.repo, 'wbformatvalue', 'datatype', known)
  File ".\tests\paraminfo_tests.py", line 51, in _check_param_superset
    values = self._get_param_values(site, module, parameter)
  File ".\tests\paraminfo_tests.py", line 30, in _get_param_values
    param = site._paraminfo.parameter(module, parameter)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 878, in parameter
    module = self[module]
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 837, in __getitem__
    self.fetch({key})
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 558, in fetch
    self._init()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 270, in _init
    self._fetch(self.preloaded_modules)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 646, in _fetch
    result = request.submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2425, in submit
    self._data = super(CachedRequest, self).submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2227, in submit
    if self._internal_api_error(code, error, result):
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2108, in _internal_api_erro
r
    raise e
pywikibot.data.api.APIMWException: internal_api_error_LogicException: [XGvDSawQB
GoAAEXaaLgAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource shou
ld never be used [errorclass:LogicException; *:LogicException at /srv/mediawiki/
php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)
#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]

======================================================================
ERROR: test_entities (__main__.WikibaseKnownTypesTests)
Test known entities.
----------------------------------------------------------------------
Traceback (most recent call last):
  File ".\tests\paraminfo_tests.py", line 226, in test_entities
    self.repo, 'wbsearchentities', 'type', known)
  File ".\tests\paraminfo_tests.py", line 51, in _check_param_superset
    values = self._get_param_values(site, module, parameter)
  File ".\tests\paraminfo_tests.py", line 30, in _get_param_values
    param = site._paraminfo.parameter(module, parameter)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 878, in parameter
    module = self[module]
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 837, in __getitem__
    self.fetch({key})
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 558, in fetch
    self._init()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 270, in _init
    self._fetch(self.preloaded_modules)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 646, in _fetch
    result = request.submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2425, in submit
    self._data = super(CachedRequest, self).submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2227, in submit
    if self._internal_api_error(code, error, result):
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2108, in _internal_api_erro
r
    raise e
pywikibot.data.api.APIMWException: internal_api_error_LogicException: [XGvDSawQB
GoAAEXaaLkAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource shou
ld never be used [errorclass:LogicException; *:LogicException at /srv/mediawiki/
php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)
#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]

======================================================================
ERROR: test_rank (__main__.WikibaseKnownTypesTests)
Test known ranks.
----------------------------------------------------------------------
Traceback (most recent call last):
  File ".\tests\paraminfo_tests.py", line 245, in test_rank
    self._check_param_values(self.repo, 'wbgetclaims', 'rank', known)
  File ".\tests\paraminfo_tests.py", line 41, in _check_param_values
    values = self._get_param_values(site, module, parameter)
  File ".\tests\paraminfo_tests.py", line 30, in _get_param_values
    param = site._paraminfo.parameter(module, parameter)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 878, in parameter
    module = self[module]
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 837, in __getitem__
    self.fetch({key})
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 558, in fetch
    self._init()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 270, in _init
    self._fetch(self.preloaded_modules)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 646, in _fetch
    result = request.submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2425, in submit
    self._data = super(CachedRequest, self).submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2227, in submit
    if self._internal_api_error(code, error, result):
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2108, in _internal_api_erro
r
    raise e
pywikibot.data.api.APIMWException: internal_api_error_LogicException: [XGvDSawQB
GoAAEXaaLoAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource shou
ld never be used [errorclass:LogicException; *:LogicException at /srv/mediawiki/
php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)
#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]

======================================================================
ERROR: test_snaktype (__main__.WikibaseKnownTypesTests)
Test known snak types.
----------------------------------------------------------------------
Traceback (most recent call last):
  File ".\tests\paraminfo_tests.py", line 240, in test_snaktype
    self._check_param_values(self.repo, 'wbcreateclaim', 'snaktype', known)
  File ".\tests\paraminfo_tests.py", line 41, in _check_param_values
    values = self._get_param_values(site, module, parameter)
  File ".\tests\paraminfo_tests.py", line 30, in _get_param_values
    param = site._paraminfo.parameter(module, parameter)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 878, in parameter
    module = self[module]
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 837, in __getitem__
    self.fetch({key})
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 558, in fetch
    self._init()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 270, in _init
    self._fetch(self.preloaded_modules)
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 646, in _fetch
    result = request.submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2425, in submit
    self._data = super(CachedRequest, self).submit()
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2227, in submit
    if self._internal_api_error(code, error, result):
  File "C:\pwb\GIT\core\pywikibot\data\api.py", line 2108, in _internal_api_erro
r
    raise e
pywikibot.data.api.APIMWException: internal_api_error_LogicException: [XGvDSqwQB
GoAAEXaaLsAAAAO] Exception caught: Wikibase\DataAccess\UnusableEntitySource shou
ld never be used [errorclass:LogicException; *:LogicException at /srv/mediawiki/
php-master/extensions/Wikibase/data-access/src/UnusableEntitySource.php(18)
#0 /srv/mediawiki/php-master/extensions/Wikibase/lib/includes/Store/Sql/WikiPage
EntityMetaDataLookup.php(80): Wikibase\DataAccess\UnusableEntitySource->getDatab
aseName()
#1 /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/WikibaseRepo.php(
878): Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup->__construct(Wikibase\
Lib\Store\EntityNamespaceLookup, Wikibase\Lib\Store\Sql\EntityIdLocalPartPageTab
leEntityQuery, Wikibase\DataAccess\UnusableEntitySource, Wikibase\DataAccess\Dat
aAccessSettings, boolean, string)
#2 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/ServiceWi
ring.php(256): Wikibase\Repo\WikibaseRepo->getLocalRepoWikiPageMetaDataAccessor(
)
#3 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(431): C
losure$WikibaseQuality\ConstraintReport\#15(MediaWiki\MediaWikiServices)
#4 /srv/mediawiki/php-master/includes/libs/services/ServiceContainer.php(414): W
ikimedia\Services\ServiceContainer->createService(string)
#5 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(45): Wikimedia\Services\ServiceContainer->getService(string)
#6 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Constrain
tsServices.php(117): WikibaseQuality\ConstraintReport\ConstraintsServices::getSe
rvice(MediaWiki\MediaWikiServices, string)
#7 /srv/mediawiki/php-master/extensions/WikibaseQualityConstraints/src/Api/Check
Constraints.php(108): WikibaseQuality\ConstraintReport\ConstraintsServices::getR
esultsSource()
#8 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(191): WikibaseQua
lity\ConstraintReport\Api\CheckConstraints::newFromGlobalState(ApiMain, string)
#9 /srv/mediawiki/php-master/includes/api/ApiModuleManager.php(167): ApiModuleMa
nager->instantiateModule(string, string, string)
#10 /srv/mediawiki/php-master/includes/api/ApiBase.php(607): ApiModuleManager->g
etModule(string)
#11 /srv/mediawiki/php-master/includes/api/ApiBase.php(2378): ApiBase->getModule
FromPath(string)
#12 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(310): ApiBase->getFi
nalParamDescription()
#13 /srv/mediawiki/php-master/includes/api/ApiParamInfo.php(130): ApiParamInfo->
getModuleInfo(ApiMain)
#14 /srv/mediawiki/php-master/includes/api/ApiMain.php(1596): ApiParamInfo->exec
ute()
#15 /srv/mediawiki/php-master/includes/api/ApiMain.php(531): ApiMain->executeAct
ion()
#16 /srv/mediawiki/php-master/includes/api/ApiMain.php(502): ApiMain->executeAct
ionWithErrorHandling()
#17 /srv/mediawiki/php-master/api.php(87): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): include(string)
#19 {main}; servedby:deployment-mediawiki-09]

----------------------------------------------------------------------
Ran 18 tests in 4.337s

FAILED (errors=4)

C:\pwb\GIT\core>
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 21 2019, 9:17 AM